#ifndef __CPU_H__
#define __CPU_H__

#include "xburst_types.h"

void flush_cache_all();
void init_registers(uint32_t *, uint32_t, void (*)(), uint32_t[], uint8_t);
void init_tlb(uint8_t);
void init_page_table(uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint8_t);
void map_page(uint32_t, uint32_t, uint32_t, uint8_t, uint8_t);
void map_page_index(uint32_t, uint32_t, uint32_t, uint8_t, uint8_t, uint32_t);

#endif /* __CPU_H__ */
