#ifndef __CPU_OP_H__
#define __CPU_OP_H__

#include "xburst_types.h"

void flush_icache_tag();
void flush_icache_region(uint32_t);
void flush_icache_config();
void flush_dcache_region(uint32_t);
void handle_error_level();
void enable_interrupts();
void init_interrupts();
void invoke_task(uint8_t, uint32_t *, uint32_t *);
uint32_t configure_tlb(uint32_t);
void map_page_set_index(uint32_t);
void map_page_op(uint32_t, uint32_t, uint32_t, uint32_t);
void map_page_index_op(uint32_t, uint32_t, uint32_t, uint32_t);

#endif /* __CPU_OP_H__ */
