#ifndef __PAGING_H__
#define __PAGING_H__

#define USER_ADDRESS_MASK	0x7fffffff

#ifndef __ASSEMBLER__

#include <stdint.h>

uint32_t user_address(uint32_t addr);
uint32_t previous_page(uint32_t addr, uint32_t pagesize);
uint32_t next_page(uint32_t addr, uint32_t pagesize);
uint32_t page_size(uint32_t size);

#endif /* __ASSEMBLER__ */

#endif /* __PAGING_H__ */
